@import '../variables.scss';

#editor {
  position: relative;
  width: 70%;
  margin-left: 15%;
  margin-top: 60px;
  background: $bg;
  border-radius: 40px;
  color: $text;
  @media #{$mq-phone} {
    width: 80%;
  }

  .editor-close {
    position: absolute;
    width: 60px;
    height: 60px;
    fill: none;
    stroke-width: 50px;
    stroke: url(#base-gradient);
    left: -80px;
    cursor: pointer;
    @media #{$mq-phone} {
      width: 35px;
      height: 35px;
      left: -35px;
    }
  }

  .editor-title-button {
    padding-top: 40px;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    @media #{$mq-phone} {
      padding-top: 25px;
    }
    .general-cta {
      margin-right: 50px;
      font-size: 1rem;
      padding: 8px 25px 8px 25px;
      @media #{$mq-phone} {
        font-size: 0.9rem;
        padding: 1px 13px;
        margin-right: 20px;
      }
    }
  }

  h2,
  h3 {
    text-transform: uppercase;
    font-style: italic;
    @include gradient-text($grad1);
    font-weight: 600;
  }

  h2 {
    margin-bottom: 60px;
    font-size: 1.6rem;
    margin-left: 30px;
    @media #{$mq-phone} {
      margin-bottom: 30px;
      font-size: 1.3rem;
      margin-left: 20px;
      line-height: 2.3rem;
    }
  }

  h3 {
    position: relative;
    font-size: 1.4rem;
    line-height: 2.2rem;
    margin-bottom: 20px;
    width: min-content;
    @media #{$mq-phone} {
      font-size: 1.2rem;
      text-align: center;
      line-height: 2.2rem;
    }
  }
  .editor-col-container {
    display: flex;
    flex-wrap: nowrap;
    overflow: hidden;
    @media #{$mq-phone} {
      flex-flow: column wrap;
    }
    #editor-col-1 {
      margin-left: 5%;
      @media #{$mq-phone} {
        width: 90%;
      }
      .editor-name {
        font-size: 1.3rem;
        @media #{$mq-phone} {
          font-size: 1.1rem;
        }
        span {
          color: $disabled;
        }
      }
      .editor-add-name {
        button {
          margin-top: 10px;
          @include gradient-text($grad1);
          font-size: 1.2rem;
          font-style: italic;
          margin-bottom: 30px;
          position: relative;
          left: 10%;
          transform: translateX(-50%);
          transition: 0.2s all ease-in-out;
          @media #{$mq-phone} {
            font-size: 1rem;
            left: 50%;
            margin-top: 15px;
          }

          &:after {
            content: '';
            width: 100%;
            height: 2px;
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            background: $grad1;
            transition: 0.2s all ease-in-out;
          }

          &:hover {
            transform: translateX(-50%) scale(1.1);

            &:after {
              width: 120%;
            }
          }
        }
        .input-group {
          display: flex;
          align-items: flex-end;
          margin-bottom: 20px;
          @media #{$mq-phone} {
            margin-top: 10px;
          }
          input {
            font-size: 1.3rem;
            @media #{$mq-phone} {
              font-size: 1rem;
            }
          }
          svg {
            width: 30px;
            fill: none;
            stroke: url(#base-gradient);
            stroke-width: 50px;
            cursor: pointer;
            @media #{$mq-phone} {
              width: 25px;
            }
          }
        }
      }

      textarea {
        outline: none;
        resize: none;
        border: none;
        overflow-y: scroll;
        background: $bg;
        color: $text10L;
        font-style: italic;
        width: 450px;
        height: 300px;
        margin-bottom: 50px;
        scrollbar-width: none;
        @media #{$mq-phone} {
          width: 90%;
          text-align: justify;
          margin-bottom: 20px;
        }
      }
    }
    #editor-col-2 {
      margin-left: 15%;
      @media #{$mq-phone} {
        margin: 0 0 60px 5%; //TODO
        width: 90%;
      }
      .essay-editor-container {
        display: flex;
        align-items: center;
        margin-bottom: 13.4%;
        max-width: 350px;
        @media #{$mq-phone} {
          margin-bottom: 20px;
        }
        svg {
          width: 25px;
          height: 25px;
          fill: none;
          stroke-width: 30px;
          stroke: url(#base-gradient);
        }
        * {
          margin-right: 5px;
        }
      }
      .dragndrop-container {
        font-size: 1.1rem;
        margin-bottom: 9%;
        font-style: italic;
        cursor: pointer;
        padding: 30px;
        border: 3px dashed $disabled;
        border-radius: 20px;
        width: 50%;
        text-align: center;
        @media #{$mq-phone} {
          font-size: 1rem;
          width: 90%;
          margin-bottom: 20px;
          margin-left: 50%;
          padding: 15px;
          border-radius: 15px;
          border-width: 2px;
          transform: translateX(-50%);
        }
      }

      .editor-photo-actions {
        display: flex;
        align-items: baseline;
        flex-wrap: wrap;
        button {
          @include gradient-text($grad1);
          font-size: 1.2rem;
          font-style: italic;
          margin-bottom: 30px;
          //margin-right: 10px;
          @media #{$mq-phone} {
            font-size: 1rem;
          }

          position: relative;
          left: 0;
          transition: 0.2s all ease-in-out;

          &:after {
            content: '';
            width: 100%;
            height: 2px;
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            background: $grad1;
            transition: 0.2s all ease-in-out;
          }

          &:hover {
            transform: scale(1.1);

            &:after {
              width: 120%;
            }
          }
        }

        input {
          margin-right: 30px;
          display: none;
        }

        p {
          font-size: 1.5rem;
          margin: 0 10px;
          @media #{$mq-phone} {
            font-size: 1.2rem;
          }
        }

        img {
          position: relative;
          max-width: 250px;
          border-radius: 20px;
          @media #{$mq-phone} {
            margin-left: 50%;
            transform: translateX(-50%);
            max-width: 250px;
            border-radius: 15px;
          }
        }
        .flex-break {
          flex-basis: 100%;
          height: 0;
        }
      }
    }
  }
  .del-candidate {
    position: absolute;
    width: 50px;
    fill: none;
    stroke: $gradient1;
    stroke-width: 25px;
    bottom: 2%;
    right: 4%;
    @media #{$mq-phone} {
      bottom: 1%;
      width: 35px;
    }
  }
}
